org.apache.olingo.client.api.serialization

## Interface ClientODataDeserializer

- All Superinterfaces:
    ODataDeserializer

      public interface ClientODataDeserializer
      extends ODataDeserializer

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<CsdlSchema>` | `fetchTermDefinitionSchema(List<InputStream> input)` Gets all the terms defined in the given input stream
    `ResWrap<Delta>` | `toDelta(InputStream input)` Gets a delta object from the given InputStream.
    `XMLMetadata` | `toMetadata(InputStream input)`
    `ResWrap<ServiceDocument>` | `toServiceDocument(InputStream input)` Gets the ServiceDocument object represented by the given InputStream.

    - ### Methods inherited from interface org.apache.olingo.client.api.serialization.ODataDeserializer

      `toEntity, toEntitySet, toError, toProperty`

- - ### Method Detail

    - #### toMetadata

          XMLMetadata toMetadata(InputStream input)

    - #### fetchTermDefinitionSchema

          List<CsdlSchema> fetchTermDefinitionSchema(List<InputStream> input)

      Gets all the terms defined in the given input stream
      Parameters:
        `input` -
      Returns:

    - #### toServiceDocument

          ResWrap<ServiceDocument> toServiceDocument(InputStream input)
                                              throws ODataDeserializerException

      Gets the ServiceDocument object represented by the given InputStream.
      Parameters:
        `input` - stream to be de-serialized.
      Returns:
        `ServiceDocument` object.
      Throws:
        `ODataDeserializerException`

    - #### toDelta

          ResWrap<Delta> toDelta(InputStream input)
                          throws ODataDeserializerException

      Gets a delta object from the given InputStream.
      Parameters:
        `input` - stream to be de-serialized.
      Returns:
        `Delta` instance.
      Throws:
        `ODataDeserializerException`

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.